summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2010-03-23 20:12:38 +0000
committerMike Frysinger <vapier@gentoo.org>2010-03-23 20:12:38 +0000
commitf52e83b0982c9c18d96757ab55109d43a9873b3f (patch)
tree457cfd993fe1662402cb140714360cfc662d7b1b
parentShow masking reasons for --binpkg-respect-use. Thanks to Sebastian Luther (diff)
downloadportage-idfetch-f52e83b0982c9c18d96757ab55109d43a9873b3f.tar.gz
portage-idfetch-f52e83b0982c9c18d96757ab55109d43a9873b3f.tar.bz2
portage-idfetch-f52e83b0982c9c18d96757ab55109d43a9873b3f.zip
install_qa_check: make sure init.d and conf.d files do not have syntax errors in them #310805
svn path=/main/trunk/; revision=15843
-rwxr-xr-xbin/misc-functions.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index 87aaeff5..8db09a0e 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -331,6 +331,15 @@ install_qa_check() {
unset INSTALLTOD
fi
+ # Sanity check syntax errors in init.d scripts
+ for d in /etc/conf.d /etc/init.d ; do
+ [[ -d ${D}/${d} ]] || continue
+ for i in "${D}"/${d}/* ; do
+ [[ -L ${i} ]] && continue
+ bash -n "${i}" || die "The init.d file has syntax errors: ${i}"
+ done
+ done
+
# this should help to ensure that all (most?) shared libraries are executable
# and that all libtool scripts / static libraries are not executable
for i in "${D}"opt/*/lib{,32,64} \